# Uses of Interface
org.eclipse.emf.compare.graph.IGraphView

Packages that use IGraphView
Package
Description
org.eclipse.emf.compare.ide.ui.internal.logical.resolver
org.eclipse.emf.compare.internal.utils
org.eclipse.emf.compare.rcp
org.eclipse.emf.compare.rcp.graph
org.eclipse.emf.compare.rcp.ui.internal.util

## Uses of IGraphView in org.eclipse.emf.compare.ide.ui.internal.logical.resolver

Methods in org.eclipse.emf.compare.ide.ui.internal.logical.resolver that return IGraphView
Modifier and Type
Method
Description
`IGraphView<URI>`
ThreadedModelResolver.`getGraphView()`
Convert the dependency graph to its read-only version.

## Uses of IGraphView in org.eclipse.emf.compare.internal.utils

Classes in org.eclipse.emf.compare.internal.utils that implement IGraphView
Modifier and Type
Class
Description
`final class`
`ReadOnlyGraph<E>`
Read-only version of an already existing `Graph`.

## Uses of IGraphView in org.eclipse.emf.compare.rcp

Methods in org.eclipse.emf.compare.rcp that return IGraphView
Modifier and Type
Method
Description
`IGraphView<URI>`
EMFCompareRCPPlugin.`getGraphView(String id)`
Return the graph view associated with the given id, or null if it does not exist.

## Uses of IGraphView in org.eclipse.emf.compare.rcp.graph

Methods in org.eclipse.emf.compare.rcp.graph that return IGraphView
Modifier and Type
Method
Description
`IGraphView<URI>`
IGraphConsumer.`getGraphView()`
Provide a read-only view of the graph used by this consumer.

## Uses of IGraphView in org.eclipse.emf.compare.rcp.ui.internal.util

Methods in org.eclipse.emf.compare.rcp.ui.internal.util that return IGraphView
Modifier and Type
Method
Description
`static IGraphView<URI>`
ResourceUIUtil.`getResourcesURIGraph()`
Get the graph of resources' URI for the models involved in the current comparison.